@tailwind base;
@tailwind components;
@tailwind utilities;

a.link {
    @apply text-purple-600 hover:underline hover:text-purple-800;
}

.thread {
    @apply m-4 rounded-lg shadow-lg p-3 bg-white hover:shadow-xl transition-all;
}

.thread > .title {
    @apply font-bold text-indigo-500 hover:underline;
}

.thread > .subtitle {
    @apply text-gray-500 text-xs;
}

.thread-reply {
    @apply border cursor-default p-3 rounded-md shadow-md mb-3 hover:bg-gray-50 hover:border-purple-500 transition-colors;
}

.thread-reply > .body {
    @apply text-sm text-justify text-gray-800;
}

.thread-reply > .footer {
    @apply text-xs text-gray-500 text-right mt-2;
}

.btn {
    @apply px-5 py-2 text-purple-900 shadow-sm rounded-lg border-2 border-purple-200 bg-white font-bold hover:bg-purple-300 hover:border-purple-500 focus:outline-none focus:ring-4 transition-colors disabled:opacity-50;
}

.input {
    @apply focus:border-purple-700 rounded-md transition disabled:opacity-50;
}

.modal-window {
    position: fixed;
    background-color: rgba(255, 255, 255, 0.5);
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 999;
    visibility: hidden;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s;
}

.modal-window:target {
    visibility: visible;
    opacity: 1;
    pointer-events: auto;
}

.modal-window > div {
    @apply border shadow-xl rounded-md;
    min-width: 400px;
    width: 60vw;
    max-width: 80vw;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 1.5em;
    background: #ffffff;
}

.modal-close {
    @apply text-gray-500 hover:text-black;
    right: 0;
    position: absolute;
    text-align: center;
    width: 70px;
    font-weight: bold;
    top: 0;
    line-height: 50px;
    font-size: 80%;
}
